#
# spec file for package xml-commons-resolver-bootstrap (Version 1.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           xml-commons-resolver-bootstrap
%if %{undefined _jvmdir}
%define _jvmdir  %{_libdir}/jvm
%endif
%if %{undefined _jvmjardir}
%define _jvmjardir %{_libdir}/jvm-exports
%endif
%define real_name xml-commons-resolver
#!BuildIgnore:  antlr
BuildRequires:  ecj-bootstrap fastjar gcc-gij gcc-java java-1_4_2-gcj-compat-devel unzip zip
Summary:        Resolver subproject of xml-commons
Group:          Development/Libraries/Java
Url:            http://xml.apache.org/commons/
Version:        1.1
Release:        237.1.moblin2
License:        The Apache Software License
AutoReqProv:    on
Source0:        xml-commons-resolver-%{version}.tar.bz2
Patch1:         xml-commons-resolver-build-jdk5.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Provides:       xml-resolver

%description
This is xml-resolver from the java-bootrapping-tools package. DO NOT
INSTALL ... THIS IS JUST FOR PACKAGING & BOOTSTRAPPING JAVA PURPOSES!!



%prep 
%setup -n %{real_name}-%{version}
%patch1 -b .sav

%build 
#>>> some useful functions ... used throughout bootstrap packages
TARGET_DIR=`pwd`
CLASSPATH_ORIG="$CLASSPATH"
# variables:
LIB_GCJ="`ls %{_javadir}/libgcj-*.jar`"
#>>> delete binary file and files not needed
function delBinaryFiles() {
  set +x
  echo deleting binary files ...
  for file in `find . -name "*.class" -o -name "*.jar" -o -name "*DELETED-BY-PACKAGER*"` 
  do 
    rm -rf $file
  done
  set -x
}
#<<<
#>>> make a string with all jar files found in target folder that can be used for a classpath string
# string is saved in JAR_CLASSPATH
function mkTargetClasspath() {
  set +x
  JAR_CLASSPATH=""
  for file in `find %{_javadir} -name "*.jar"`
  do
    JAR_CLASSPATH=$file:$JAR_CLASSPATH
  done
  set -x
}
#<<<
#>>> compiles all *.java file in the current directory tree
# uses mkTargetClasspath for CLASSPATH  variable
# uses LIB_GCJ for CLASSPATH
function compileFiles() {
  mkTargetClasspath
  set +x
  COMPILE_CLASSPATH_PATH=.:${JAR_CLASSPATH}
  echo using: $COMPILER_COMMAND $COMPILE_CLASSPATH_PATH $$file
  for file in `find . -name "*.java"`
  do
    echo -e "$COMPILER_COMMAND $COMPILE_CLASSPATH_PATH $file ... \c"
    $COMPILER_COMMAND $COMPILE_CLASSPATH_PATH $file
    # check for errors
    if [ $? != 0 ]
    then
      echo ERROR
      exit 1;
    fi
    echo done
  done
  set -x
}
#<<<
#>>> make jar archive
# PARAM#1: name of jar archive (without .jar suffix)
# uses $TARGET_DIR to move created jar to
function mkJar() {
  find  -name "version.txt" -or -name "*.class" -or -name "*.properties" -or -name "*.rsc" -or -name "*manifest*" |\
      xargs /usr/bin/fastjar -m manifest.* -cf ${1}.jar ;
  mv ${1}.jar $TARGET_DIR
}
#<<<
COMPILER_COMMAND="javac -C -ftarget=1.4 -classpath"
#<<< end functions
delBinaryFiles
#>>> xml-commons-resolver
cd src
compileFiles
mkJar %{name}
delBinaryFiles
#<<< xml-commons-resolver end

%install
# the rest
mkdir -p $RPM_BUILD_ROOT/%{_javadir}
cp %{name}.jar $RPM_BUILD_ROOT/%{_javadir}
#<<< install end

%clean
rm -rf $RPM_BUILD_ROOT 
#>>> files

%files 
%defattr(-,root,root)   
%{_javadir}/%{name}.jar
#<<<
# vim:fdm=marker:foldmarker=#>>>,#<<<:foldcolumn=6:foldlevel=42:

%changelog
* Sat Aug 22 2009 Anas Nashif <anas.nashif@intel.com> - 1.1
- Initial import into Moblin
* Tue Jan 22 2008 mvyskocil@suse.cz
- fixed beta build
* Sun Sep  2 2007 aj@suse.de
- Ignore antlr for building.
* Wed May  2 2007 dbornkessel@suse.de
- added unzip to BuildRequires
* Tue Oct  3 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct  2 2006 dbornkessel@suse.de
- first version
